package kata_test

import (
	"strconv"

	. "github.com/onsi/ginkgo"
	. "github.com/onsi/gomega"
)

func Tester(n int, exp string) {
	It("Testing for " + strconv.Itoa(n), func() {
		Expect(Strong(n)).To(Equal(exp))
	})
}

var _ = Describe("Basic tests", func() {
	Tester(1, "STRONG!!!!")
	Tester(2, "STRONG!!!!")
	Tester(145, "STRONG!!!!")
	Tester(7, "Not Strong !!")
	Tester(93, "Not Strong !!")
	Tester(185, "Not Strong !!")
})
