package kata_test

import (
	. "github.com/onsi/ginkgo"
	. "github.com/onsi/gomega"
)

func dotestVert(a1 string, exp string) {
	var ans = Oper(VertMirror, a1)
	Expect(ans).To(Equal(exp))
}
func dotestHor(a1 string, exp string) {
	var ans = Oper(HorMirror, a1)
	Expect(ans).To(Equal(exp))
}

var _ = Describe("Tests Moves", func() {

	It("should handle basic cases Oper VertMirror", func() {
		dotestVert("hSgdHQ\nHnDMao\nClNNxX\niRvxxH\nbqTVvA\nwvSyRu", "QHdgSh\noaMDnH\nXxNNlC\nHxxvRi\nAvVTqb\nuRySvw")

	})
	It("should handle basic cases Oper HorMirror", func() {
		dotestHor("lVHt\nJVhv\nCSbg\nyeCt", "yeCt\nCSbg\nJVhv\nlVHt")

	})

	It("should reverse single row string", func() {
		Expect(Reverse("Andante")).To(Equal("etnadnA"))
	})
})
